commit 818ba0dcd645bfcf35f434c08825aa7b7f1f752a
Author: freddy77 <freddy77>
Date:   Sun Jul 25 08:40:18 2010 +0000

    normalize some names

diff --git a/ChangeLog b/ChangeLog
index 32fef44..1243f3a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Sun Jul 25 10:40:08 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h include/tds_sysdep_private.h include/tdsiconv.h:
+	* src/tds/mem.c src/tds/net.c src/tds/token.c src/tds/util.c:
+	- normalize some names
+
 Sun Jul 25 09:48:50 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/ctlib/ct.c src/tds/mem.c:
 	- cleanup unused declarations
@@ -2755,4 +2760,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3093 2010/07/25 07:49:00 freddy77 Exp $
+$Id: ChangeLog,v 1.3094 2010/07/25 08:40:18 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 68990b6..461614b 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -21,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.339 2010/07/25 07:49:01 freddy77 Exp $ */
+/* $Id: tds.h,v 1.340 2010/07/25 08:40:19 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -58,7 +58,7 @@ extern "C"
  * This structure is returned by tds_get_compiletime_settings
  */
 
-typedef struct _tds_compiletime_settings
+typedef struct tds_compiletime_settings
 {
 	const char *freetds_version;	/* release version of FreeTDS */
 	const char *sysconfdir;		/* location of freetds.conf */
@@ -73,11 +73,10 @@ typedef struct _tds_compiletime_settings
 
 } TDS_COMPILETIME_SETTINGS;
 
-struct DSTR_STRUCT {
+typedef struct tds_dstr {
 	char *dstr_s;
 	size_t dstr_size;
-};
-typedef struct DSTR_STRUCT DSTR;
+} DSTR;
 
 /**
  * @file tds.h
@@ -935,14 +934,14 @@ typedef struct
  * Information relevant to libiconv.  The name is an iconv name, not 
  * the same as found in master..syslanguages. 
  */
-typedef struct _tds_encoding
+typedef struct tds_encoding
 {
 	const char *name;
 	unsigned char min_bytes_per_char;
 	unsigned char max_bytes_per_char;
 } TDS_ENCODING;
 
-typedef struct _tds_bcpcoldata
+typedef struct tds_bcpcoldata
 {
 	TDS_UCHAR *data;
 	TDS_INT    datalen;
@@ -1146,7 +1145,7 @@ typedef enum {
 	, TDS_CURSOR_STATE_ACTIONED = 3		/* acknowledged by server */
 } TDS_CURSOR_STATE;
 
-typedef struct _tds_cursor_status
+typedef struct tds_cursor_status
 {
 	TDS_CURSOR_STATE declare;
 	TDS_CURSOR_STATE cursor_row;
@@ -1156,7 +1155,7 @@ typedef struct _tds_cursor_status
 	TDS_CURSOR_STATE dealloc;
 } TDS_CURSOR_STATUS;
 
-typedef enum _tds_cursor_operation
+typedef enum tds_cursor_operation
 {
 	TDS_CURSOR_POSITION = 0,
 	TDS_CURSOR_UPDATE = 1,
@@ -1164,7 +1163,7 @@ typedef enum _tds_cursor_operation
 	TDS_CURSOR_INSERT = 4
 } TDS_CURSOR_OPERATION;
 
-typedef enum _tds_cursor_fetch
+typedef enum tds_cursor_fetch
 {
 	TDS_CURSOR_FETCH_NEXT = 1,
 	TDS_CURSOR_FETCH_PREV,
@@ -1177,9 +1176,9 @@ typedef enum _tds_cursor_fetch
 /**
  * Holds informations about a cursor
  */
-typedef struct _tds_cursor 
+typedef struct tds_cursor
 {
-	struct _tds_cursor *next;	/**< next in linked list, keep first */
+	struct tds_cursor *next;	/**< next in linked list, keep first */
 	TDS_INT ref_count;		/**< reference counter so client can retain safely a pointer */
 	TDS_TINYINT cursor_name_len;	/**< length of cursor name > 0 and <= 30  */
 	char *cursor_name;		/**< name of the cursor */
@@ -1278,15 +1277,13 @@ enum TDS_ICONV_ENTRY
 	, initial_char_conv_count	/* keep last */
 };
 
-struct tds_authentication
+typedef struct tds_authentication
 {
 	TDS_UCHAR *packet;
 	int packet_len;
 	int (*free)(TDSSOCKET * tds, struct tds_authentication * auth);
 	int (*handle_next)(TDSSOCKET * tds, struct tds_authentication * auth, size_t len);
-};
-
-typedef struct tds_authentication TDSAUTHENTICATION;
+} TDSAUTHENTICATION;
 
 /**
  * Information for a server connection
diff --git a/include/tds_sysdep_private.h b/include/tds_sysdep_private.h
index c04a39d..0bea2e5 100644
--- a/include/tds_sysdep_private.h
+++ b/include/tds_sysdep_private.h
@@ -21,7 +21,7 @@
 #ifndef _tds_sysdep_private_h_
 #define _tds_sysdep_private_h_
 
-/* $Id: tds_sysdep_private.h,v 1.34 2010/05/12 08:13:58 freddy77 Exp $ */
+/* $Id: tds_sysdep_private.h,v 1.35 2010/07/25 08:40:19 freddy77 Exp $ */
 
 #undef TDS_RCSID
 #if defined(__GNUC__) && __GNUC__ >= 3
@@ -76,10 +76,10 @@ typedef int pid_t;
 #define CLOSESOCKET(a)		closesocket((a))
 #define IOCTLSOCKET(a,b,c)	ioctlsocket((a), (b), (c))
 #define SOCKLEN_T int
-int  _tds_socket_init(void);
-#define INITSOCKET()	_tds_socket_init()
-void _tds_socket_done(void);
-#define DONESOCKET()	_tds_socket_done()
+int  tds_socket_init(void);
+#define INITSOCKET()	tds_socket_init()
+void tds_socket_done(void);
+#define DONESOCKET()	tds_socket_done()
 #define NETDB_REENTRANT 1	/* BSD-style netdb interface is reentrant */
 
 #define TDSSOCK_EINTR WSAEINTR
diff --git a/include/tdsiconv.h b/include/tdsiconv.h
index ed0131c..85e6414 100644
--- a/include/tdsiconv.h
+++ b/include/tdsiconv.h
@@ -20,7 +20,7 @@
 #ifndef _tds_iconv_h_
 #define _tds_iconv_h_
 
-/* $Id: tdsiconv.h,v 1.39 2010/07/02 23:55:56 freddy77 Exp $ */
+/* $Id: tdsiconv.h,v 1.40 2010/07/25 08:40:19 freddy77 Exp $ */
 
 #if HAVE_ICONV
 #include <iconv.h>
@@ -79,7 +79,7 @@ typedef struct _character_set_alias
 	int canonic;
 } CHARACTER_SET_ALIAS;
 
-typedef struct _tds_errno_message_flags {
+typedef struct tds_errno_message_flags {
 	unsigned int e2big:1;
 	unsigned int eilseq:1;
 	unsigned int einval:1;
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 14a9bd2..85f8ff6 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -53,7 +53,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.204 2010/07/25 07:49:01 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.205 2010/07/25 08:40:19 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -298,7 +298,7 @@ tds_free_param_result(TDSPARAMINFO * param_info)
 }
 
 static void
-_tds_param_free(TDSCOLUMN *col)
+tds_param_free(TDSCOLUMN *col)
 {
 	if (!col->column_data)
 		return;
@@ -335,7 +335,7 @@ tds_alloc_param_data(TDSCOLUMN * curparam)
 	/* allocate data */
 	if (curparam->column_data && curparam->column_data_free)
 		curparam->column_data_free(curparam);
-	curparam->column_data_free = _tds_param_free;
+	curparam->column_data_free = tds_param_free;
 
 	data = malloc(data_size);
 	curparam->column_data = data;
@@ -439,7 +439,7 @@ tds_alloc_results(int num_cols)
 }
 
 static void
-_tds_row_free(TDSRESULTINFO *res_info, unsigned char *row)
+tds_row_free(TDSRESULTINFO *res_info, unsigned char *row)
 {
 	int i;
 	const TDSCOLUMN *col;
@@ -495,7 +495,7 @@ tds_alloc_row(TDSRESULTINFO * res_info)
 	res_info->current_row = ptr;
 	if (!ptr)
 		return TDS_FAIL;
-	res_info->row_free = _tds_row_free;
+	res_info->row_free = tds_row_free;
 
 	/* fill column_data */
 	row_size = 0;
diff --git a/src/tds/net.c b/src/tds/net.c
index 5fe7d72..fff325c 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -107,7 +107,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.103 2010/05/12 08:00:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.104 2010/07/25 08:40:19 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL) && !defined(C_INTERIX)
@@ -134,7 +134,7 @@ static TDSERRNO tds_open_socket(TDSSOCKET * tds, const char *ip_addr, unsigned i
 
 #ifdef _WIN32
 int
-_tds_socket_init(void)
+tds_socket_init(void)
 {
 	WSADATA wsadata;
 
@@ -142,7 +142,7 @@ _tds_socket_init(void)
 }
 
 void
-_tds_socket_done(void)
+tds_socket_done(void)
 {
 	WSACleanup();
 }
diff --git a/src/tds/token.c b/src/tds/token.c
index 52575b4..502da71 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.387 2010/07/02 18:57:32 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.388 2010/07/25 08:40:19 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -75,7 +75,7 @@ static int tds_process_end(TDSSOCKET * tds, int marker, /*@out@*/ int *flags_par
 
 static int tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol);
 static int tds_get_data_info(TDSSOCKET * tds, TDSCOLUMN * curcol, int is_param);
-static /*@observer@*/ const char *_tds_token_name(unsigned char marker);
+static /*@observer@*/ const char *tds_token_name(unsigned char marker);
 static void adjust_character_column_size(const TDSSOCKET * tds, TDSCOLUMN * curcol);
 static int determine_adjusted_size(const TDSICONV * char_conv, int size);
 static /*@observer@*/ const char *tds_pr_op(int op);
@@ -119,7 +119,7 @@ tds_process_default_tokens(TDSSOCKET * tds, int marker)
 
 	CHECK_TDS_EXTRA(tds);
 
-	tdsdump_log(TDS_DBG_FUNC, "tds_process_default_tokens() marker is %x(%s)\n", marker, _tds_token_name(marker));
+	tdsdump_log(TDS_DBG_FUNC, "tds_process_default_tokens() marker is %x(%s)\n", marker, tds_token_name(marker));
 
 	if (IS_TDSDEAD(tds)) {
 		tdsdump_log(TDS_DBG_FUNC, "leaving tds_process_default_tokens() connection dead\n");
@@ -234,7 +234,7 @@ tds_process_default_tokens(TDSSOCKET * tds, int marker)
 	case TDS_LOGINACK_TOKEN:
 	case TDS_ORDERBY_TOKEN:
 	case TDS_CONTROL_TOKEN:
-		tdsdump_log(TDS_DBG_WARN, "Eating %s token\n", _tds_token_name(marker));
+		tdsdump_log(TDS_DBG_WARN, "Eating %s token\n", tds_token_name(marker));
 		tds_get_n(tds, NULL, tds_get_smallint(tds));
 		break;
 	case TDS_TABNAME_TOKEN:	/* used for FOR BROWSE query */
@@ -244,7 +244,7 @@ tds_process_default_tokens(TDSSOCKET * tds, int marker)
 		return tds_process_colinfo(tds, NULL, 0);
 		break;
 	case TDS_ORDERBY2_TOKEN:
-		tdsdump_log(TDS_DBG_WARN, "Eating %s token\n", _tds_token_name(marker));
+		tdsdump_log(TDS_DBG_WARN, "Eating %s token\n", tds_token_name(marker));
 		tds_get_n(tds, NULL, tds_get_int(tds));
 		break;
 	case TDS_NBC_ROW_TOKEN:
@@ -334,7 +334,7 @@ tds_process_login_tokens(TDSSOCKET * tds)
 			} ver;
 		
 		marker = tds_get_byte(tds);
-		tdsdump_log(TDS_DBG_FUNC, "looking for login token, got  %x(%s)\n", marker, _tds_token_name(marker));
+		tdsdump_log(TDS_DBG_FUNC, "looking for login token, got  %x(%s)\n", marker, tds_token_name(marker));
 
 		switch (marker) {
 		case TDS_AUTH_TOKEN:
@@ -551,7 +551,7 @@ tds_process_tokens(TDSSOCKET *tds, TDS_INT *result_type, int *done_flags, unsign
 	for (;;) {
 
 		marker = tds_get_byte(tds);
-		tdsdump_log(TDS_DBG_INFO1, "processing result tokens.  marker is  %x(%s)\n", marker, _tds_token_name(marker));
+		tdsdump_log(TDS_DBG_INFO1, "processing result tokens.  marker is  %x(%s)\n", marker, tds_token_name(marker));
 
 		switch (marker) {
 		case TDS7_RESULT_TOKEN:
@@ -3445,7 +3445,7 @@ tds_prtype(int token)
 /** @} */
 
 static const char *
-_tds_token_name(unsigned char marker)
+tds_token_name(unsigned char marker)
 {
 	switch (marker) {
 
diff --git a/src/tds/util.c b/src/tds/util.c
index c4b6eb1..459094a 100644
--- a/src/tds/util.c
+++ b/src/tds/util.c
@@ -65,7 +65,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: util.c,v 1.92 2010/07/02 18:57:34 freddy77 Exp $");
+TDS_RCSID(var, "$Id: util.c,v 1.93 2010/07/25 08:40:19 freddy77 Exp $");
 
 void
 tds_set_parent(TDSSOCKET * tds, void *the_parent)
@@ -233,7 +233,7 @@ tds_gettime_ms(void)
 #define EXFATAL       10
 #define EXCONSISTENCY 11
 
-typedef struct _tds_error_message 
+typedef struct tds_error_message
 {
 	TDSERRNO msgno;
 	int severity;

